import { $post, $get } from "@/plugins/axios";
import db from "@/plugins/db";

export const paperPageList = datas => {
  return db.getPaperList(datas);
};
export const areaList = subjectId => {
  return db.getAreas(subjectId);
};

export const absentPaper = paperId => {
  return $post(`/api/score/missing/${paperId}`, {});
};
export const absentLocalPaper = (id, missing) => {
  return db.absentLocalPaper(id, missing);
};

// export paper
export const workList = () => {
  return $get("/api/admin/works");
};
export const exportDataList = datas => {
  return $get(`/api/file/image/getExportData`, datas);
};
//
export const getUnfinishTask = taskId => {
  return db.getUnfinishTask(taskId);
};
export const getDownloadTaskCount = params => {
  return db.getDownloadTaskCount(params);
};
export const getDownloadTaskList = taskId => {
  return db.getDownloadTaskList(taskId);
};
export const addExportTask = datas => {
  return db.addExportTask(datas);
};
export const addExportTaskDetail = datas => {
  return db.addExportTaskDetail(datas);
};
export const updateTaskFinish = datas => {
  return db.updateTaskFinish(datas);
};
export const updateDownloadTaskDownload = datas => {
  return db.updateDownloadTaskDownload(datas);
};
export const donloadExportFile = datas => {
  return $get(`/api/file/image/exportScorePicturesFromCollect`, datas);
};
